# $Id$
# Authority: dag

%define apacheconfdir %{_sysconfdir}/httpd/conf.d

Summary: Postfix Policy Daemon
Name: cluebringer
Version: 2.0.10
Release: 1%{?dist}
License: GPLv2
Group: System/Daemons
URL: http://www.policyd.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/policyd/cluebringer-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
Requires: httpd
Requires: perl(Net::Server)
Requires: perl(Config::IniFiles)
Requires: perl(Cache::FastMmap)

Provides: cbpolicyd
Provides: policyd = %{version}-%{release}
Obsoletes: policyd <= %{version}-%{release}

### Prevent rpmbuild from detecting "internal" requirements
%filter_from_requires /^perl(cbp::/d
%filter_setup

%description
Policyd v2 (codenamed "cluebringer") is a multi-platform policy server
for popular MTAs. This policy daemon is designed mostly for large
scale mail hosting environments. The main goal is to implement as many
spam combating and email compliance features as possible while at the
same time maintaining the portability, stability and performance
required for mission critical email hosting of today. Most of the
ideas and methods implemented in Policyd v2 stem from Policyd v1
as well as the authors' long time involvement in large scale mail
hosting industry.

%prep
%setup

cd database/
for db_type in mysql4 mysql pgsql sqlite; do
    ./convert-tsql ${db_type} core.tsql > policyd.${db_type}.sql
    for file in `find . -name \*.tsql -and -not -name core.tsql`; do
        ./convert-tsql ${db_type} ${file}
    done >> policyd.${db_type}.sql
    cd whitelists
        ./parse-checkhelo-whitelist >> policyd.${db_type}.sql
        ./parse-greylisting-whitelist >> policyd.${db_type}.sql
    cd ..
done

%build

%install
%{__rm} -rf %{buildroot}

### cbpolicyd
%{__install} -d -m0755 %{buildroot}%{_libdir}/policyd-2.0/
%{__cp} -R cbp %{buildroot}%{_libdir}/policyd-2.0/

%{__install} -Dp -m0755 cbpolicyd %{buildroot}%{_sbindir}/cbpolicyd
%{__install} -Dp -m0755 cbpadmin %{buildroot}%{_sbindir}/cbpadmin
%{__install} -Dp -m0755 database/convert-tsql %{buildroot}%{_sbindir}/convert-tsql

%{__install} -Dp -m0644 cluebringer.conf %{buildroot}%{_sysconfdir}/policyd/cluebringer.conf

%{__install} -Dp -m0755 contrib/initscripts/Fedora/cbpolicyd %{buildroot}%{_initrddir}/cbpolicyd

### Webui
%{__install} -d -m0755 %{buildroot}%{_datadir}/cluebringer/webui/
%{__cp} -R webui/* %{buildroot}%{_datadir}/cluebringer/webui/
%{__install} -Dp -m0644 contrib/httpd/cluebringer-httpd.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/cluebringer.conf

### Install webui configuration into /etc
%{__install} -Dp -m0644 webui/includes/config.php %{buildroot}%{_sysconfdir}/policyd/webui.conf
%{__ln_s} -f %{_sysconfdir}/policyd/webui.conf %{buildroot}%{_datadir}/cluebringer/webui/includes/config.php

%post
/sbin/chkconfig --add cbpolicyd

%preun
if (( $1 == 0 )); then
    /sbin/chkconfig --del cbpolicyd
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS CHANGELOG INSTALL LICENSE TODO WISHLIST contrib/ database/*.sql
%config(noreplace) %{apacheconfdir}/cluebringer.conf
%config(noreplace) %{_sysconfdir}/policyd/
%config %{_initrddir}/cbpolicyd
%{_datadir}/cluebringer/
%{_libdir}/policyd-2.0/
%{_sbindir}/cbpolicyd
%{_sbindir}/cbpadmin
%{_sbindir}/convert-tsql

%defattr(-, root, apache, 0755)
%config(noreplace) %{_sysconfdir}/policyd/webui.conf
%{_datadir}/cluebringer/webui/

%changelog
* Thu Mar 28 2013 Dag Wieers <dag@wieers.com> - 2.0.10-1
- Initial release. (using DAR)
